Index: detail/code_conversion.hpp
===================================================================
--- detail/code_conversion.hpp	(revision 443)
+++ detail/code_conversion.hpp	(working copy)
@@ -102,7 +102,9 @@
 inline void code_convert(std::string const& str1, std::string& str2)
 {
     str2 = str1;
-}
+}
+// BUG WCHAR 
+#ifdef BOOST_LOG_USE_WCHAR_T
 //! The function converts one string to the character type of another
 inline void code_convert(std::wstring const& str1, std::string& str2)
 {
@@ -114,7 +116,7 @@
 inline void code_convert(std::wstring const& str1, std::wstring& str2)
 {
     str2 = str1;
-}
+}
 //! The function converts one string to the character type of another
 inline void code_convert(std::string const& str1, std::wstring& str2)
 {
@@ -123,12 +125,16 @@
     buf.pubsync();
 }
 
+// BUG WCHAR 
+#endif
 //! The function converts the passed string to the narrow-character encoding
 inline std::string const& to_narrow(std::string const& str)
 {
     return str;
 }
-
+
+// BUG WCHAR 
+#ifdef BOOST_LOG_USE_WCHAR_T
 //! The function converts the passed string to the narrow-character encoding
 inline std::string to_narrow(std::wstring const& str)
 {
@@ -142,7 +148,6 @@
 {
     return str;
 }
-
 //! The function converts the passed string to the wide-character encoding
 inline std::wstring to_wide(std::string const& str)
 {
@@ -150,6 +155,8 @@
     aux::code_convert(str, res);
     return res;
 }
+// BUG WCHAR 
+#endif
 
 } // namespace aux
 
Index: detail/prologue.hpp
===================================================================
--- detail/prologue.hpp	(revision 443)
+++ detail/prologue.hpp	(working copy)
@@ -163,6 +163,11 @@
 #   define BOOST_LOG_USE_CHAR
 #   define BOOST_LOG_USE_WCHAR_T
 #endif // !defined(BOOST_LOG_USE_CHAR) && !defined(BOOST_LOG_USE_WCHAR_T)
+
+//BUG WCHAR 
+#ifdef BOOST_NO_STD_WSTRING
+#   undef BOOST_LOG_USE_WCHAR_T
+#endif
 
 #if !defined(BOOST_LOG_DOXYGEN_PASS)
     // Check if multithreading is supported
